%global version  0.9.0
%global momorel 1
%global md5sum f7bbaef84d1ccb93e374c8aa2a1dd8e5

%global honoka_version   0.9.0
%global prime_version    1.0.0.1

Name:       honoka-plugin-prime
Summary:    A PRIME prediction plugin for honoka
Version:    %{version}
Release:    %{momorel}m
Group:      Applications/System
License:    GPL
URL:        http://sourceforge.jp/projects/scim-imengine/
%NoSource 0  http://nop.net-p.org/files/honoka/%{name}-%{version}.tar.gz %{md5sum}
BuildRoot:  %{_tmppath}/%{name}-%{version}-root
Requires:      prime >= %{prime_version}
BuildRequires: honoka-devel >= %{honoka_version}
BuildRequires: prime >= %{prime_version}
BuildRequires: automake
BuildRequires: libtool-ltdl-devel

%description
A PRIME prediction plugin for honoka.

%prep
%setup -q
cp /usr/share/automake-1.9/mkinstalldirs .

%build
[[ -f configure ]] || ./bootstrap

%configure
# (tv) parallel build is broken:
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

# remove devel files
rm -f %{buildroot}/%{_libdir}/scim-1.0/honoka/*.{a,la}

%find_lang honoka-plugin-prime

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f honoka-plugin-prime.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README.jp
%{_libdir}/scim-1.0/honoka/*.so


%changelog
* Tue Jul  4 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.0-1m)
- Initial commit Momonga Linux

* Mon Jun 19 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.9.0-1mdv2007.0
- first spec for Mandriva Linux
